import pyfiglet

def run(*text):
    """Convierte texto en arte ASCII."""
    try:
        ascii_art = pyfiglet.figlet_format(" ".join(text))
        return f" **ASCII Art:**\n```{ascii_art}```"
    except Exception as e:
        return f" Error generando ASCII: {str(e)}"

def help():
    return "Uso: .ascii <texto> - Convierte el texto en arte ASCII."

