import requests

def run(sender, *args):
    """Muestra la dirección IP pública del bot."""
    try:
        response = requests.get("https://api64.ipify.org?format=json", timeout=5)
        data = response.json()
        return f" **IP Pública:** {data['ip']}"
    except Exception as e:
        return f" Error obteniendo IP: {str(e)}"

def help():
    return "Uso: .ip - Muestra la dirección IP pública del bot."

